Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.xssf.usermodel
Class XSSFHyperlink

    java.lang.Object
      org.apache.poi.xssf.usermodel.XSSFHyperlink

All Implemented Interfaces:
  Hyperlink

    public class XSSFHyperlink

extends java.lang.Object
implements Hyperlink

XSSF Implementation of a Hyperlink. Note - unlike with HSSF, many kinds of hyperlink are largely stored as relations of the sheet

Field Summary

Fields inherited from interface org.apache.poi.common.usermodel.Hyperlink
`LINK_DOCUMENT, LINK_EMAIL, LINK_FILE, LINK_URL`

Constructor Summary
`protected` | `XSSFHyperlink(org.openxmlformats.schemas.spreadsheetml.x2006.main.CTHyperlink ctHyperlink, PackageRelationship hyperlinkRel)` Create a XSSFHyperlink amd initialize it from the supplied CTHyperlink bean and package relationship
`protected` | `XSSFHyperlink(int type)` Create a new XSSFHyperlink.

Method Summary
`protected void` | `generateRelationIfNeeded(PackagePart sheetPart)` Generates the relation if required
`java.lang.String` | `getAddress()` Hypelink address.
`java.lang.String` | `getCellRef()` Get the reference of the cell this applies to, es A55
`protected org.openxmlformats.schemas.spreadsheetml.x2006.main.CTHyperlink` | `getCTHyperlink()` Returns the underlying hyperlink object
`int` | `getFirstColumn()` Return the column of the first cell that contains the hyperlink
`int` | `getFirstRow()` Return the row of the first cell that contains the hyperlink
`java.lang.String` | `getLabel()` Return text label for this hyperlink
`int` | `getLastColumn()` Return the column of the last cell that contains the hyperlink
`int` | `getLastRow()` Return the row of the last cell that contains the hyperlink
`java.lang.String` | `getLocation()` Location within target.
`int` | `getType()` Return the type of this hyperlink
`boolean` | `needsRelationToo()` Do we need to a relation too, to represent this hyperlink?
`void` | `setAddress(java.lang.String address)` Hypelink address.
`protected void` | `setCellReference(java.lang.String ref)` Assigns this hyperlink to the given cell reference
`void` | `setFirstColumn(int col)` Set the column of the first cell that contains the hyperlink
`void` | `setFirstRow(int row)` Set the row of the first cell that contains the hyperlink
`void` | `setLabel(java.lang.String label)` Sets text label for this hyperlink
`void` | `setLastColumn(int col)` Set the column of the last cell that contains the hyperlink
`void` | `setLastRow(int row)` Set the row of the last cell that contains the hyperlink
`void` | `setLocation(java.lang.String location)` Location within target.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XSSFHyperlink

    protected XSSFHyperlink(int type)

  Create a new XSSFHyperlink. This method is protected to be used only by XSSFCreationHelper

  Parameters:
    `type` - - the type of hyperlink to create

### XSSFHyperlink

    protected XSSFHyperlink(org.openxmlformats.schemas.spreadsheetml.x2006.main.CTHyperlink ctHyperlink,
                            PackageRelationship hyperlinkRel)

  Create a XSSFHyperlink amd initialize it from the supplied CTHyperlink bean and package relationship

  Parameters:
    `ctHyperlink` - the xml bean containing xml properties
    `hyperlinkRel` - the relationship in the underlying OPC package which stores the actual link's address

Method Detail

### getCTHyperlink

    protected org.openxmlformats.schemas.spreadsheetml.x2006.main.CTHyperlink getCTHyperlink()

  Returns the underlying hyperlink object

### needsRelationToo

    public boolean needsRelationToo()

  Do we need to a relation too, to represent this hyperlink?

### generateRelationIfNeeded

    protected void generateRelationIfNeeded(PackagePart sheetPart)

  Generates the relation if required

### getType

    public int getType()

  Return the type of this hyperlink

  Specified by:
    `getType` in interface `Hyperlink`
  Returns:
    the type of this hyperlink

### getCellRef

    public java.lang.String getCellRef()

  Get the reference of the cell this applies to, es A55

### getAddress

    public java.lang.String getAddress()

  Hypelink address. Depending on the hyperlink type it can be URL, e-mail, path to a file

  Specified by:
    `getAddress` in interface `Hyperlink`
  Returns:
    the address of this hyperlink

### getLabel

    public java.lang.String getLabel()

  Return text label for this hyperlink

  Specified by:
    `getLabel` in interface `Hyperlink`
  Returns:
    text to display

### getLocation

    public java.lang.String getLocation()

  Location within target. If target is a workbook (or this workbook) this shall refer to a sheet and cell or a defined name. Can also be an HTML anchor if target is HTML file.

  Returns:
    location

### setLabel

    public void setLabel(java.lang.String label)

  Sets text label for this hyperlink

  Specified by:
    `setLabel` in interface `Hyperlink`
  Parameters:
    `label` - text label for this hyperlink

### setLocation

    public void setLocation(java.lang.String location)

  Location within target. If target is a workbook (or this workbook) this shall refer to a sheet and cell or a defined name. Can also be an HTML anchor if target is HTML file.

  Parameters:
    `location` - - string representing a location of this hyperlink

### setAddress

    public void setAddress(java.lang.String address)

  Hypelink address. Depending on the hyperlink type it can be URL, e-mail, path to a file

  Specified by:
    `setAddress` in interface `Hyperlink`
  Parameters:
    `address` - - the address of this hyperlink

### setCellReference

    protected void setCellReference(java.lang.String ref)

  Assigns this hyperlink to the given cell reference

### getFirstColumn

    public int getFirstColumn()

  Return the column of the first cell that contains the hyperlink

  Returns:
    the 0-based column of the first cell that contains the hyperlink

### getLastColumn

    public int getLastColumn()

  Return the column of the last cell that contains the hyperlink

  Returns:
    the 0-based column of the last cell that contains the hyperlink

### getFirstRow

    public int getFirstRow()

  Return the row of the first cell that contains the hyperlink

  Returns:
    the 0-based row of the cell that contains the hyperlink

### getLastRow

    public int getLastRow()

  Return the row of the last cell that contains the hyperlink

  Returns:
    the 0-based row of the last cell that contains the hyperlink

### setFirstColumn

    public void setFirstColumn(int col)

  Set the column of the first cell that contains the hyperlink

  Parameters:
    `col` - the 0-based column of the first cell that contains the hyperlink

### setLastColumn

    public void setLastColumn(int col)

  Set the column of the last cell that contains the hyperlink

  Parameters:
    `col` - the 0-based column of the last cell that contains the hyperlink

### setFirstRow

    public void setFirstRow(int row)

  Set the row of the first cell that contains the hyperlink

  Parameters:
    `row` - the 0-based row of the first cell that contains the hyperlink

### setLastRow

    public void setLastRow(int row)

  Set the row of the last cell that contains the hyperlink

  Parameters:
    `row` - the 0-based row of the last cell that contains the hyperlink

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2010 The Apache Software Foundation or its licensors, as applicable.